Bug 22686 - [GTK] some header files not included in tarball
: [GTK] some header files not included in tarball
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: WebKit Gtk
: 528+ (Nightly build)
: PC Linux
: P2 Normal
Assigned To: Nobody
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-05 11:34 PST by Gustavo Noronha (kov)
Modified: 2008-12-19 08:52 PST (History)
0 users

See Also:


Attachments
adding files to the correct _source variables (2.44 KB, patch)
2008-12-05 11:35 PST, Gustavo Noronha (kov)
no flags Details | Formatted Diff | Diff
found another file missing, when building with soup (2.70 KB, patch)
2008-12-05 11:48 PST, Gustavo Noronha (kov)
no flags Details | Formatted Diff | Diff
follow-up patch to fix one more make dist breakage (1.17 KB, patch)
2008-12-16 16:04 PST, Gustavo Noronha (kov)
no flags Details | Formatted Diff | Diff
more fixes to make dist (2.45 KB, patch)
2008-12-17 06:35 PST, Gustavo Noronha (kov)
zecke: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gustavo Noronha (kov) 2008-12-05 11:34:17 PST
While building webkit from the tarball created with make dist the following files cause errors because they are missing:

./WebCore/bindings/js/ScriptSourceCode.h
./WebCore/platform/PurgeableBuffer.h
./WebCore/bindings/js/ScriptString.h
./WebCore/bindings/js/ScriptState.h
./JavaScriptCore/assembler/MacroAssembler.h
./JavaScriptCore/wrec/Escapes.h
Comment 1 Gustavo Noronha (kov) 2008-12-05 11:35:57 PST
Created attachment 25778 [details]
adding files to the correct _source variables
Comment 2 Gustavo Noronha (kov) 2008-12-05 11:48:28 PST
Created attachment 25779 [details]
found another file missing, when building with soup
Comment 3 Mark Rowe (bdash) 2008-12-05 12:09:00 PST
Comment on attachment 25779 [details]
found another file missing, when building with soup

r=me
Comment 4 Holger Freyther 2008-12-15 15:58:57 PST
Comment on attachment 25779 [details]
found another file missing, when building with soup

 \
>  	WebCore/platform/network/soup/ResourceRequest.h \
>  	WebCore/platform/network/soup/ResourceResponse.h
> +	WebCore/platform/network/soup/CookieJarSoup.

missing \ ?
Comment 5 Holger Freyther 2008-12-15 16:11:23 PST
Landed in r39318. make distcheck is showing another error. Would you be interested in a follow up patch?
Comment 6 Gustavo Noronha (kov) 2008-12-16 06:13:01 PST
Sure thing. I'll work on the follow-up patch tonight.
Comment 7 Holger Freyther 2008-12-16 07:14:09 PST
Comment on attachment 25779 [details]
found another file missing, when building with soup

Clear the review flag.
Comment 8 Gustavo Noronha (kov) 2008-12-16 16:04:40 PST
Created attachment 26075 [details]
follow-up patch to fix one more make dist breakage

There you have it. One more file missing for make dist.
Comment 9 Gustavo Noronha (kov) 2008-12-17 06:35:06 PST
Created attachment 26090 [details]
more fixes to make dist

I found that TestNetscapePlugin was also missing some files on its SOURCES variable.
Comment 10 Holger Freyther 2008-12-17 13:00:28 PST
Comment on attachment 26090 [details]
more fixes to make dist

looks good.
Comment 11 Holger Freyther 2008-12-19 08:52:53 PST
Landed in r39405. I assume this is fixed now, we can reopen the bug if that is not the case.